<link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Space+Grotesk:wght@400;700&display=swap">
<nav class="navbar navbar-expand-lg">
    <div class="container-fluid">
        <a class="navbar-brand ms-2" [routerLink]="[ '/menuPrincipal']">
            <img src="../../../../assets/img/Logo.png" alt="Logo" width="45" height="45">
        </a>
        <button class="navbar-toggler" style="color: #F9FEF8;" type="button" data-bs-toggle="collapse"
            data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false"
            aria-label="Toggle navigation">
            <span class="navbar-toggler-icon"></span>
        </button>
        <div class="collapse navbar-collapse" id="navbarSupportedContent">
            <ul class="navbar-nav me-auto mb-2 mb-lg-0">
                <li class="nav-item ms-4">
                    <a class="nav-link" aria-current="page" [routerLink]="[ '/reuniones']">REUNIONES</a>
                </li>
                <li class="nav-item ms-4">
                    <a class="nav-link" aria-current="page" [routerLink]="[ '/docs']">DOCS</a>
                </li>
                <li class="nav-item ms-4">
                    <a class="nav-link" aria-current="page" [routerLink]="[ '/vto']">VTO</a>
                </li>
                <li class="nav-item ms-4">
                    <a class="nav-link" aria-current="page" [routerLink]="[ '/personas']">PERSONAS</a>
                </li>

                <li class="nav-item ms-4">
                    <a class="nav-link" aria-current="page" [routerLink]="[ '/actividades']">ACTIVIDADES</a>
                </li>
                <li *ngIf="roleUsuario == 'Superadministrador'" class="nav-item ms-4">
                    <a class="nav-link" aria-current="page" [routerLink]="[ '/usuarios']">USUARIOS</a>
                </li>
                <li class="nav-item ms-4" style="left: 72%; position: absolute; min-width: 10px; object-fit: contain;">
                    <button class="bg-transparent" (click)="abrirNuevoAsuntoModal()">
                        <img src="../../../../assets/img/Asunto.png" alt="Problema" width="30" height="30" class="mt-2">
                    </button>
                </li>
                <li class="nav-item ms-4" style="left: 76%; position: absolute; min-width: 10px;object-fit: contain;">
                    <button (click)="abrirNuevoProblemaModal()">
                        <img src="../../../../assets/img/Problema.png" alt="Problema" width="30" height="30"
                            class="mt-2">
                    </button>
                </li>
                <li class="nav-item ms-4" style="left: 80%; position: absolute; min-width: 10px;object-fit: contain;">
                    <button (click)="abrirNuevaActividadModal()">
                        <img src="../../../../assets/img/Actividad.png" alt="Problema" width="30" height="30"
                            class="mt-2">
                    </button>
                </li>
                <li class="nav-item ms-4 d-none d-xl-block d-xxl-block">

                    <img class="pfp" [src]="'http://localhost:8080/imgs/usuarios/' + pfp" alt="">
                </li>
                <li class="nav-item dropdown ms-4 d-none d-xl-block d-xxl-block"
                    style="left: 87%; top: 18%;position: absolute;cursor: pointer;">
                    <a class="nav-link usuario mt-1" aria-current="page" role="button"
                        data-bs-toggle="dropdown">{{nombreUsuario}} {{apellidoUsuario}}</a>
                    <ul class="dropdown-menu" style="cursor: pointer;">
                        <li [routerLink]="[ '/editarPerfil']"><a class="dropdown-item">Editar perfil</a></li>
                        <li><a class="dropdown-item" (click)="cerrarSesion()">Cerrar sesión</a></li>
                    </ul>
                </li>
            </ul>
        </div>
    </div>
</nav>

<ng-template #agregarAsuntoModal class="modal fade">
    <div class="modal-content">
        <form id="nuevoAsunto">
            <div class="modal-header">
                <h4 class="modal-title">Crear asunto</h4>
                <!-- <button type="button" class="close" (click)="cerrarModal()">X</button> -->
            </div>
            <div class="modal-body">
                <div class="form-group">
                    <label for="nombreIndicador">Titulo</label>
                    <input type="text" class="form-control" id="nombreIndicador" name="nombreIndicador" required
                        [(ngModel)]="asunto.nombreHeadline">
                </div>
                <div class="form-group">
                    <label>Detalles</label>
                    <ckeditor style="height: 170px;" name="detallesGoal" [editor]="Editor"
                        [(ngModel)]="asunto.detallesHeadline"></ckeditor>
                </div>
                <div class="form-group">
                    <label for="idUsuario">Reunion</label>
                    <ng-select name="idUsuario" class="custom-select mt-3" [(ngModel)]="asunto.idReunion"
                        [multiple]="true">
                        <ng-option *ngFor="let options of reuniones" [value]="options.idReunion">
                            <div class="option-content">
                                <span>{{options.nombreReunion}}</span>
                            </div>
                        </ng-option>
                    </ng-select>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" (click)="cerrarModal()">Cancelar</button>
                <button type="button" class="btn btn-success" (click)="agregarAsunto()">Agregar</button>
            </div>
        </form>
    </div>
</ng-template>
<ng-template #crearProblemaModal class="modal fade">
    <div class="modal-content">
        <form id="nuevoProblemaMeta">
            <div class="modal-header">
                <h4 class="modal-title">Crear problema</h4>
                <button type="button" class="close" (click)="cerrarModal()">X</button>
            </div>
            <div class="modal-body">
                <div class="form-group ">
                    <label for="nombreIndicador">Titulo</label>
                    <input type="text" class="form-control" id="nombreIndicador" name="nombreIndicador" required
                        [(ngModel)]="problema.nombreIssue">
                </div>
                <div class="form-group">
                    <label>Detalles</label>
                    <ckeditor name="detallesGoal" [editor]="Editor" [(ngModel)]="problema.detallesIssue">
                    </ckeditor> 
                </div>
                <div class="form-group ">
                    <ng-select name="idUsuario" class="custom-select mt-3" [(ngModel)]="problema.idReunion"
                        [multiple]="true">
                        <ng-option *ngFor="let options of reuniones" [value]="options.idReunion">
                            <div class="option-content">
                                <span>{{options.nombreReunion}}</span>
                            </div>
                        </ng-option>
                    </ng-select>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" (click)="cerrarModal()">Cancelar</button>
                <button type="button" class="btn btn-success" (click)="agregarProblema()">Agregar</button>
            </div>
        </form>
    </div>
</ng-template>



<ng-template #crearActividadModal class="modal fade">
    <div class="modal-content">
        <form id="nuevaActividad">
            <div class="modal-header">
                <h4 class="modal-title">Crear actividad</h4>
                <button type="button" class="close" (click)="cerrarModal()">X</button>
            </div>
            <div class="modal-body">
                <div class="form-group ">
                    <label for="nombreIndicador">Titulo</label>
                    <input type="text" class="form-control" id="nombreIndicador" name="nombreIndicador" required
                        [(ngModel)]="actividad.tituloToDo">
                </div>
                <div class="form-group">
                    <label>Detalles</label>
                    <ckeditor name="detallesGoal" [editor]="Editor" [(ngModel)]="actividad.detallesToDo">
                    </ckeditor>
                </div>
                <div class="form-group">
                    <label for="dueDateGoal">Fecha límite</label>
                    <input type="date" name="dueDateGoal" id="dueDateGoal" class="form-control"
                        [(ngModel)]="actividad.dueDateToDo">
                </div>
                <div class="form-group">
                    <ng-select name="idReunion" class="custom-select mt-3" [(ngModel)]="actividad.idReunion"
                        [multiple]="true">
                        <ng-option *ngFor="let options of reuniones" [value]="options.idReunion">
                            <div class="option-content">
                                <span>{{options.nombreReunion}}</span>
                            </div>
                        </ng-option>
                    </ng-select>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-default" (click)="cerrarModal()">Cancelar</button>
                <button type="button" class="btn btn-success" (click)="agregarActividad()">Agregar</button>
            </div>
        </form>
    </div>
</ng-template>